Bug 522587 - Nouveau Test Day: no output with multi-head on 9800M GTS [10de:062c]
Nouveau Test Day: no output with multi-head on 9800M GTS [10de:062c]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
http://www.smolts.org/client/show/pub...
card_NV94
: Triaged
: 492658 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 14:42 EDT by Stefan Becker
Modified: 2010-08-26 10:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32.9-67.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-26 10:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log (41.27 KB, text/plain)
2009-09-10 14:42 EDT, Stefan Becker
no flags Details
dmesg log (52.64 KB, text/plain)
2009-09-10 14:43 EDT, Stefan Becker
no flags Details
Output from xrandr --query --verbose (3.98 KB, text/plain)
2009-09-10 14:43 EDT, Stefan Becker
no flags Details
X server log - VGA (64.04 KB, text/plain)
2009-09-11 12:58 EDT, Stefan Becker
no flags Details
dmesg log - VGA (52.56 KB, text/plain)
2009-09-11 12:58 EDT, Stefan Becker
no flags Details
Output from xrandr --query --verbose - VGA (5.14 KB, text/plain)
2009-09-11 12:59 EDT, Stefan Becker
no flags Details
dmesg log with runlevel 3 and drm.debug=15 (122.48 KB, text/plain)
2009-09-11 13:07 EDT, Stefan Becker
no flags Details
dmesg logfile (50.27 KB, text/plain)
2009-11-07 11:04 EST, Stefan Becker
no flags Details
X server logfile (38.12 KB, text/plain)
2009-11-07 11:06 EST, Stefan Becker
no flags Details
dmesg logfile (50.61 KB, text/plain)
2009-11-19 14:52 EST, Stefan Becker
no flags Details
X server logfile (144.06 KB, text/plain)
2009-11-19 14:54 EST, Stefan Becker
no flags Details
dmesg logfile (51.03 KB, text/plain)
2009-12-03 14:33 EST, Stefan Becker
no flags Details
X server logfile (324.27 KB, text/plain)
2009-12-03 14:33 EST, Stefan Becker
no flags Details
xrandr --query --verbose with DVI connected (6.06 KB, text/plain)
2009-12-03 14:34 EST, Stefan Becker
no flags Details
xrandr --query --verbose with HDMI connected (5.28 KB, text/plain)
2009-12-03 14:35 EST, Stefan Becker
no flags Details
dmesg log for DVI without debugging (49.91 KB, text/plain)
2009-12-04 13:45 EST, Stefan Becker
no flags Details
dmesg log for DVI with drm.debug & nouveau.reg_debug (122.49 KB, text/plain)
2009-12-04 13:47 EST, Stefan Becker
no flags Details
/var/log/messages excerpt for the debug case (74.17 KB, text/plain)
2009-12-04 13:48 EST, Stefan Becker
no flags Details
dmesg logfile (4.42 KB, text/plain)
2010-03-04 14:20 EST, Stefan Becker
no flags Details

  None (edit)
Description Stefan Becker 2009-09-10 14:42:40 EDT
Created attachment 360551 [details]
X server log

Description of problem:

Fedora 12 Nouveau Test Day 2009-09-10 with x86_64 LiveCD

Multihead Test:
LVDS: Laptop LCD (1680x1050)
DVI:  Samsung DLP TV (1920x1080)

1) boot with both monitors connected: LCD display goes blank when plymouth/KMS switches to graphical framebuffer. Machine boots up normally but nothing on both outputs. LiveCD liveuser login seems to run very slow (login sound is played in bits and pieces)

2) boot with LCD only, DVI connected after X login is completed: as soon as gnome-display-properties is started the LCD display goes blank as the second output gets activated. log files are taken from this case via network login to test machine

Version-Release number of selected component (if applicable):
kernel-2.6.31-0.219.rc9.git2.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-8.20090904git2b5ec6a.fc12.x86_64
libdrm-2.4.12-0.9.fc12.x86_64
mesa-libGL-7.6-0.11.fc12.x86_64

How reproducible:
always

Additional info:
smolt profile attached as URL.
no xorg.conf in use.
Comment 1 Stefan Becker 2009-09-10 14:43:19 EDT
Created attachment 360552 [details]
dmesg log
Comment 2 Stefan Becker 2009-09-10 14:43:47 EDT
Created attachment 360553 [details]
Output from xrandr --query --verbose
Comment 3 Stefan Becker 2009-09-10 14:45:05 EDT
Additional info: I tried the kernel parameter "nouveau.uscript=1" on the LiveCD kernel command line. This seems to kill KMS completely and X doesn't start up at all.

I have nouveau.uscript=1 in use with the F11 installation on the test machine.
Comment 4 Stefan Becker 2009-09-10 14:48:13 EDT
Related error from Fedora 11 Nouveau testing bug #492658
Comment 5 Ben Skeggs 2009-09-10 16:28:35 EDT
I'm very surprised to see this, this piece of hw is quite picky :P  No ideas at the moment really, your logs show the hw seeming happy enough.  A dmesg log of booting to runlevel 3 with drm.debug=15 may give some more hints perhaps.

As a side note, nouveau.uscript=1 should have had no effect, the nouveau module doesn't even look for it anymore.
Comment 6 Stefan Becker 2009-09-11 12:58:09 EDT
Created attachment 360704 [details]
X server log - VGA

As with F11 connecting the second monitor via VGA works just fine on the test machine. I guess that was to be expected. Attaching 3 logs from VGA multi-head case.
Comment 7 Stefan Becker 2009-09-11 12:58:32 EDT
Created attachment 360705 [details]
dmesg log - VGA
Comment 8 Stefan Becker 2009-09-11 12:59:02 EDT
Created attachment 360706 [details]
Output from xrandr --query --verbose - VGA
Comment 9 Stefan Becker 2009-09-11 13:07:42 EDT
Created attachment 360707 [details]
dmesg log with runlevel 3 and drm.debug=15

As requested.
Comment 10 Stefan Becker 2009-09-12 04:05:55 EDT
*** Bug 492658 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2009-11-05 12:15:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Stefan Becker 2009-11-07 11:04:59 EST
Created attachment 367949 [details]
dmesg logfile

Retested with:

kernel-2.6.31.5-122.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.x86_64
libdrm-2.4.15-4.fc12.x86_64
mesa-libGL-7.6-0.13.fc12.x86_64

Problem still exists.
Comment 13 Stefan Becker 2009-11-07 11:06:00 EST
Created attachment 367950 [details]
X server logfile

Both files taken on the machine after bootup by remote login.
No xorg.conf in use.
Comment 14 Bug Zapper 2009-11-16 07:13:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Stefan Becker 2009-11-19 14:52:54 EST
Created attachment 372325 [details]
dmesg logfile

Some progress on this bug!

While retesting with

kernel-2.6.31.1-56.fc12.x86_64
kernel-2.6.31.6-142.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.x86_64
libdrm-2.4.15-4.fc12.x86_64

I found how out by accident that I can get the DVI part of the DVI-I connector working with this approach:

  - connect the TV via VGA to the DVI-I connector
  - boot the machine
    -> desktop comes up with a screen stretched across the built-in LCD (1650x1080) and the TV (1920x1080)

   xrandr --query output:

Screen 0: minimum 320 x 200, current 3600 x 1080, maximum 8192 x 8192
LVDS-0 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      59.9*+   60.0
   1400x1050      60.0
   1280x1024      59.9
   1280x960       59.9
   1152x864       60.0
   1024x768       59.9
   800x600        59.9
   640x480        59.4
   720x400        59.6
   640x400        60.0
   640x350        59.8
DVI-I-0 connected 1920x1080+1680+0 (normal left inverted right x axis y axis) 1600mm x 900mm
   1920x1080      59.9*+
   1280x1024      75.0     60.0
   1360x768       60.0
   1024x768       75.1     70.1     60.0
   800x600        72.2     75.0     60.3
   640x480        72.8     75.0     60.0
   720x400        70.1
DVI-D-0 disconnected (normal left inverted right x axis y axis)

  - disable DVI-I-0 with "xrandr --output DVI-I-0 --off"
  - disconnect VGA cable
  - connect the TV via DVI to the DVI-I connector
    -> TV now recognized via DVI connection!

   xrandr --query output:

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS-0 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      59.9*+   60.0
   1400x1050      60.0
   1280x1024      59.9
   1280x960       59.9
   1152x864       60.0
   1024x768       59.9
   800x600        59.9
   640x480        59.4
   720x400        59.6
   640x400        60.0
   640x350        59.8
DVI-I-0 connected (normal left inverted right x axis y axis)
   1920x1080      60.0 +
   1280x1024      60.0
   1360x768       60.0
   1280x720       60.0
   1024x768       60.0
   800x600        60.3
   720x480        59.9
   640x480        60.0
DVI-D-0 disconnected (normal left inverted right x axis y axis)

  - enable DVI-I-0 with "xrandr --output DVI-I-0 --auto"
    -> The screen switches to 1920x1080 clone mode which is visible on the built-in LCD (cut-off of course) *AND* the TV via DVI input
Comment 16 Stefan Becker 2009-11-19 14:54:40 EST
Created attachment 372326 [details]
X server logfile

Additional info: when I bootup the machine with DVI connected it still doesn't show any output on the LCD or the TV. So I only get it working from my desktop session after bootup.
Comment 17 Stefan Becker 2009-12-03 14:33:14 EST
Created attachment 375884 [details]
dmesg logfile

Awesome progress once again!

Retested with:

kernel-2.6.31.6-161.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-18.20091105gite1c2efd.fc12.x86_64
libdrm-2.4.15-5.fc12.x86_64
mesa-libGL-7.6-0.13.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64

I guess these KMS changes improved the connector detection also for my HW:

* Wed Dec 02 2009 Ben Skeggs <bskeggs@redhat.com> 2.6.31.6-158
- nouveau: more complete lvds script selection on >=G80 (rh#522690, rh#529859)
- nouveau: more complete tmds script selection on >=G80 (rh#537853)

I can now boot up the machine without any external monitor connected (i.e. LVDS only), connect an external monitor via DVI *or* HDMI and then enable it with xrandr. I'll attach the latest round of dmesg/X/xrandr logs. This is the first time HDMI ever worked correctly with nouveau on this HW, yeah!

If I have the external monitor connected via DVI/HDMI during boot it still ends up in a blank screen on both LVDS and the external monitor.
Comment 18 Stefan Becker 2009-12-03 14:33:48 EST
Created attachment 375885 [details]
X server logfile
Comment 19 Stefan Becker 2009-12-03 14:34:41 EST
Created attachment 375886 [details]
xrandr --query --verbose with DVI connected
Comment 20 Stefan Becker 2009-12-03 14:35:12 EST
Created attachment 375887 [details]
xrandr --query --verbose with HDMI connected
Comment 21 Ben Skeggs 2009-12-03 20:59:31 EST
Ahh excellent, I had been meaning to ask you to test those changes but it slipped my mind, and I wasn't sure what success you'd have with the other issues that have came up with your card since F12.

I'll keep trying to figure out why you're seeing failures if booting with them connected, but, it's still rather mysterious at this point!
Comment 22 Stefan Becker 2009-12-03 22:47:33 EST
I'm not complaining, at least I can now retire the VGA cable already :-) Kudos!!

Is there some additional debug logs I can create? The system boots up, but I of course can't see anything. I can complete the boot and login from another system remotely though, so I could grab any data you need.

How about trying the kernel parameter drm.debug=15 once again?
Comment 23 Ben Skeggs 2009-12-03 23:06:17 EST
I guess fresh logs could be useful!  With debugging turned on you'll probably miss the start of the logs, so can I get one with debugging, and one without?

Also, it might be worth passing nouveau.reg_debug=0x0200 in additon to the drm.debug=15 parameter.

Thank you!
Comment 24 Stefan Becker 2009-12-04 13:45:58 EST
Created attachment 376164 [details]
dmesg log for DVI without debugging

Looks like that the connectors & modes are correctly recognized:

[drm] nouveau 0000:01:00.0: allocated 1920x1080 fb: 0x40250000, bo ffff8801370b3
a00
[drm] LVDS-7: set mode 1680x1050 2a
[drm] TMDS-9: set mode 1920x1080 2b
Console: switching to colour frame buffer device 210x65

So a cloned 1920x1080 should be visible on both outputs.
Comment 25 Stefan Becker 2009-12-04 13:47:10 EST
Created attachment 376165 [details]
dmesg log for DVI with drm.debug & nouveau.reg_debug

well at least as much as was left after bootup :-)
Comment 26 Stefan Becker 2009-12-04 13:48:35 EST
Created attachment 376166 [details]
/var/log/messages excerpt for the debug case

Looks like some other messages were caught in /var/log/messages. Maybe it helps...

Looking forward for the next kernel to test :-)
Comment 27 Stefan Becker 2010-03-04 14:20:00 EST
Created attachment 397899 [details]
dmesg logfile

This is problem is solved.

Retested with the latest 2.6.32 kernel from updates-testing:
kernel-2.6.32.9-67.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-20.20091105gite1c2efd.fc12.x86_64
libdrm-2.4.17-1.fc12.x86_64
mesa-libGL-7.7-3.fc12.x86_64
xorg-x11-server-Xorg-1.7.5-5.fc12.x86_64

I can now boot the laptop with HDMI cable connected. Plymouth will start up with a 1920x1080 framebuffer which is visible (cloned) on both displays. X comes up with a two monitor setup, i.e. 1650x1080 (laptop, login window) + 1920x1080 (TV connected via HDMI).

Can you please mark that the kernel-2.6.32.9-67.fc12 update fixes this bug?
Comment 28 Adam Williamson 2010-03-04 15:08:02 EST
we can close it when 2.6.32 gets into updates. thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 29 Stefan Becker 2010-08-26 10:19:31 EDT
We forgot to close this....

Update ID was FEDORA-2010-3228

Note You need to log in before you can comment on or make changes to this bug.